Index: /trunk/Utilities/ExRootAnalysis/interface/BlockClasses.h
===================================================================
--- /trunk/Utilities/ExRootAnalysis/interface/BlockClasses.h	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/interface/BlockClasses.h	(revision 220)
@@ -13,6 +13,6 @@
  *  present in the data members of the Block TRoot class.
  *
- *  $Date: 2009-01-26 14:43:09 $
- *  $Revision: 1.10 $
+ *  $Date: 2009-02-02 11:32:12 $
+ *  $Revision: 1.11 $
  *
  *  
@@ -21,14 +21,8 @@
  */
 
-// Dependencies (#includes)
-
 #include "TLorentzVector.h"
-#include "TRef.h"
 #include "TObject.h"
-#include "TRefArray.h"
-
-#include "Utilities/ExRootAnalysis/interface/BlockCompare.h"
-//---------------------------------------------------------------------------
-//
+#include "BlockCompare.h"
+
 class TSortableObject: public TObject
 {
@@ -42,5 +36,4 @@
   ClassDef(TSortableObject, 1)
 };
-
 
 //---------------------------------------------------------------------------
Index: /trunk/Utilities/ExRootAnalysis/interface/BlockCompare.h
===================================================================
--- /trunk/Utilities/ExRootAnalysis/interface/BlockCompare.h	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/interface/BlockCompare.h	(revision 220)
@@ -6,6 +6,6 @@
  *  Definition of comparison object functions for block classes
  *
- *  $Date: 2008-11-04 10:32:25 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:12 $
+ *  $Revision: 1.2 $
  *
  *  
@@ -13,6 +13,4 @@
  *
  */
-
-// Dependencies (#includes)
 
 #include "Rtypes.h"
Index: /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeReader.h
===================================================================
--- /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeReader.h	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeReader.h	(revision 220)
@@ -6,6 +6,6 @@
  *  Class simplifying access to ROOT tree branches
  *
- *  $Date: 2008-11-04 10:32:26 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:12 $
+ *  $Revision: 1.2 $
  *
  *
@@ -15,6 +15,8 @@
 
 #include "TROOT.h"
-#include "TChain.h"
-#include "TFile.h"
+//#include "TChain.h"
+//#include "TFile.h"
+#include "TTree.h"
+#include "TString.h"
 
 #include <map>
Index: /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h
===================================================================
--- /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h	(revision 220)
@@ -6,6 +6,6 @@
  *  Class handling output ROOT tree
  *
- *  $Date: 2008-11-04 10:32:26 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:12 $
+ *  $Revision: 1.2 $
  *
  *
@@ -15,5 +15,4 @@
 
 #include "TString.h"
- 
 #include <set>
 
Index: /trunk/Utilities/ExRootAnalysis/src/BlockClasses.cc
===================================================================
--- /trunk/Utilities/ExRootAnalysis/src/BlockClasses.cc	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/src/BlockClasses.cc	(revision 220)
@@ -11,6 +11,6 @@
  *  to preserve mother-dautherlinks between particles.
  *
- *  $Date: 2009-01-12 23:36:06 $
- *  $Revision: 1.6 $
+ *  $Date: 2009-02-02 11:32:01 $
+ *  $Revision: 1.7 $
  *
  *  
@@ -19,7 +19,6 @@
  */
 
-#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
-#include "Utilities/ExRootAnalysis/interface/BlockCompare.h"
-
+#include "BlockClasses.h"
+#include "BlockCompare.h"
 #include "TLorentzVector.h"
 
Index: /trunk/Utilities/ExRootAnalysis/src/ExRootProgressBar.cc
===================================================================
--- /trunk/Utilities/ExRootAnalysis/src/ExRootProgressBar.cc	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/src/ExRootProgressBar.cc	(revision 220)
@@ -4,6 +4,6 @@
  *  Class showing progress bar
  *
- *  $Date: 2008-11-04 10:32:27 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:01 $
+ *  $Revision: 1.2 $
  *
  *
@@ -12,12 +12,7 @@
  */
 
-#include "Utilities/ExRootAnalysis/interface/ExRootProgressBar.h"
-
+#include "ExRootProgressBar.h"
 #include "TSystem.h"
-
-#include <iostream>
-
-#include <string.h>
-#include <stdio.h>
+#include <cstdio>
 
 using namespace std;
Index: /trunk/Utilities/ExRootAnalysis/src/ExRootTreeBranch.cc
===================================================================
--- /trunk/Utilities/ExRootAnalysis/src/ExRootTreeBranch.cc	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/src/ExRootTreeBranch.cc	(revision 220)
@@ -4,6 +4,6 @@
 *  Class handling output ROOT tree branch
 *
-*  $Date: 2008-11-04 10:32:27 $
-*  $Revision: 1.1 $
+*  $Date: 2009-02-02 11:32:01 $
+*  $Revision: 1.2 $
 *
 *
@@ -12,13 +12,7 @@
 */
 
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
-
-#include "TFile.h"
+#include "ExRootTreeBranch.h"
 #include "TTree.h"
 #include "TClonesArray.h"
-
-#include <iostream>
-
-using namespace std;
 
 //------------------------------------------------------------------------------
Index: /trunk/Utilities/ExRootAnalysis/src/ExRootTreeReader.cc
===================================================================
--- /trunk/Utilities/ExRootAnalysis/src/ExRootTreeReader.cc	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/src/ExRootTreeReader.cc	(revision 220)
@@ -4,6 +4,6 @@
  *  Class simplifying access to ROOT tree branches
  *
- *  $Date: 2008-11-04 10:32:27 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:01 $
+ *  $Revision: 1.2 $
  *
  *
@@ -12,12 +12,8 @@
  */
 
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeReader.h"
-
-#include "TH2.h"
-#include "TStyle.h"
-#include "TCanvas.h"
+#include "ExRootTreeReader.h"
 #include "TBranchElement.h"
 #include "TClonesArray.h"
-
+#include "TChain.h"
 #include <iostream>
 
Index: /trunk/Utilities/ExRootAnalysis/src/ExRootTreeWriter.cc
===================================================================
--- /trunk/Utilities/ExRootAnalysis/src/ExRootTreeWriter.cc	(revision 219)
+++ /trunk/Utilities/ExRootAnalysis/src/ExRootTreeWriter.cc	(revision 220)
@@ -4,6 +4,6 @@
  *  Class handling output ROOT tree
  *
- *  $Date: 2008-11-04 10:32:27 $
- *  $Revision: 1.1 $
+ *  $Date: 2009-02-02 11:32:01 $
+ *  $Revision: 1.2 $
  *
  *
@@ -12,12 +12,9 @@
  */
 
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
+#include "ExRootTreeWriter.h"
+#include "ExRootTreeBranch.h"
 
-#include "TROOT.h"
 #include "TFile.h"
 #include "TTree.h"
-#include "TClonesArray.h"
-
 #include <iostream>
 
Index: /trunk/interface/HEPEVTConverter.h
===================================================================
--- /trunk/interface/HEPEVTConverter.h	(revision 219)
+++ /trunk/interface/HEPEVTConverter.h	(revision 220)
@@ -14,19 +14,9 @@
 /// \file SmearUtil.h
 /// \brief HEPEVTConverter class, and some generic definitions
+#include <deque>
 
-
-#include <iostream>
-#include <sstream>
-#include <deque>
-#include <fstream>
-#include <vector>
-
-#include "TLorentzVector.h"
-#include "TRandom.h"
-
-#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
-#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"
-//#include "Utilities/CDFCones/interface/PhysicsTower.h"
-#include "interface/DataConverter.h"
+#include "BlockClasses.h"
+#include "TSimpleArray.h"
+#include "DataConverter.h"
 using namespace std;
 
Index: /trunk/interface/LHEFConverter.h
===================================================================
--- /trunk/interface/LHEFConverter.h	(revision 219)
+++ /trunk/interface/LHEFConverter.h	(revision 220)
@@ -17,8 +17,7 @@
 #include <string>
 
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
-#include "Utilities/ExRootAnalysis/interface/LHEF.h"
-
-#include "interface/DataConverter.h"
+#include "ExRootTreeBranch.h"
+#include "LHEF.h"
+#include "DataConverter.h"
 
 
Index: /trunk/interface/STDHEPConverter.h
===================================================================
--- /trunk/interface/STDHEPConverter.h	(revision 219)
+++ /trunk/interface/STDHEPConverter.h	(revision 220)
@@ -16,35 +16,17 @@
 
 
-#include <iostream>
-#include <sstream>
-#include <fstream>
-#include <vector>
 #include <string>
-
-#include "TLorentzVector.h"
-#include "TRandom.h"
-
-#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
-#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"
-//#include "Utilities/CDFCones/interface/PhysicsTower.h"
-#include "Utilities/ExRootAnalysis/interface/LHEF.h"
-
-#include "interface/DataConverter.h"
+#include "DataConverter.h"
 
 using namespace std;
 
-class STDHEPConverter : public DataConverter
-{
-public:
+class STDHEPConverter : public DataConverter {
+  public:
+    STDHEPConverter(const string& inputFileList, const string& outputFileName);
+    ~STDHEPConverter();
 
-  STDHEPConverter(const string& inputFileList, const string& outputFileName);
-  ~STDHEPConverter();
-
-private:
-  void AnalyseEvent(ExRootTreeBranch *branch, const Long64_t eventNumber);
-  void AnalyseParticles(ExRootTreeBranch *branch);
-
-
-
+  private:
+    void AnalyseEvent(ExRootTreeBranch *branch, const Long64_t eventNumber);
+    void AnalyseParticles(ExRootTreeBranch *branch);
 };
 
Index: /trunk/src/HEPEVTConverter.cc
===================================================================
--- /trunk/src/HEPEVTConverter.cc	(revision 219)
+++ /trunk/src/HEPEVTConverter.cc	(revision 220)
@@ -6,6 +6,4 @@
 
 #include "TROOT.h"
-#include "TApplication.h"
-#include "TFile.h"
 #include "TTree.h"
 #include "TBranch.h"
@@ -15,10 +13,9 @@
 #include "TChain.h"
 
-#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeReader.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
-
-#include "interface/HEPEVTConverter.h"
+#include "BlockClasses.h"
+#include "ExRootTreeWriter.h"
+#include "ExRootTreeBranch.h"
+
+#include "HEPEVTConverter.h"
 
 using namespace std;
Index: /trunk/src/STDHEPConverter.cc
===================================================================
--- /trunk/src/STDHEPConverter.cc	(revision 219)
+++ /trunk/src/STDHEPConverter.cc	(revision 220)
@@ -1,28 +1,21 @@
+/*
+  ---- Delphes ----
+  A Fast Simulator for general purpose LHC detector
+  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
+
+  Center for Particle Physics and Phenomenology (CP3)
+  Universite Catholique de Louvain (UCL)
+  Louvain-la-Neuve, Belgium
+*/
+
 #include <iostream>
-#include <utility>
-#include <deque>
-#include <sstream>
 #include <fstream>
-
-#include "TROOT.h"
-#include "TApplication.h"
-#include "TFile.h"
-#include "TTree.h"
-#include "TBranch.h"
-#include "TLeaf.h"
 #include "TLorentzVector.h"
-#include "TChain.h"
-
-#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeReader.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h"
-#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
-#include "Utilities/ExRootAnalysis/interface/LHEF.h"
-#include "Utilities/stdhep/stdhep_mcfio.h"
-#include "Utilities/stdhep/stdhep_declarations.h"
-
-#include "interface/STDHEPConverter.h"
-
-
+#include "BlockClasses.h"
+#include "ExRootTreeWriter.h"
+#include "ExRootTreeBranch.h"
+#include "stdhep_mcfio.h"
+#include "stdhep_declarations.h"
+#include "STDHEPConverter.h"
 
 using namespace std;
@@ -51,5 +44,4 @@
   for(number = 0; number < myhepevt.nhep; ++number)
   {
-
     element = static_cast<TRootGenParticle*>(branch->NewEntry());
 