Index: trunk/src/HEPEVTConverter.cc
===================================================================
--- trunk/src/HEPEVTConverter.cc	(revision 244)
+++ trunk/src/HEPEVTConverter.cc	(revision 245)
@@ -128,5 +128,7 @@
     if(!it_deque->second)
     {
-      cout << "** WARNING: cannot get branch '" << it_deque->first << "'" << endl;
+      cerr << left  << setw(40) <<"**        WARNING: cannot get branch: "<<""
+           << left  << setw(20) << it_deque->first                        <<""
+           << right << setw(9) <<" **"<<""<<endl;
     }
   }
@@ -147,5 +149,7 @@
   if(!infile.is_open())
     {
-      cerr << "** ERROR: Can't open '" << inputFileList << "' for input" << endl;
+      cerr << left  << setw(30) <<"**   ERROR: Can't open     "<<""
+           << left  << setw(20) << inputFileList                        <<""
+           << right << setw(19) <<"for input **"<<""<<endl;
       exit(1);
     }
@@ -156,5 +160,11 @@
       infile >> buffer;
         ifstream checking_the_file(buffer.c_str());
-        if(!checking_the_file.good()) { cout << buffer << ": file not found\n"; continue;}
+        if(!checking_the_file.good()) 
+          { 
+             cerr << left  << setw(30) <<"**   ERROR: Can't find file  "<<""
+                  << left  << setw(20) << buffer                        <<""
+                  << right << setw(19) <<"for input **"<<""<<endl;
+             continue;
+          }
         else checking_the_file.close();
 
@@ -214,5 +224,4 @@
     }
   treeWriter->Write();
-  cout << "** Exiting..." << endl;
   
   delete treeWriter;
Index: trunk/src/LHEFConverter.cc
===================================================================
--- trunk/src/LHEFConverter.cc	(revision 244)
+++ trunk/src/LHEFConverter.cc	(revision 245)
@@ -86,5 +86,7 @@
   string filename;
   if(!infile.is_open()) {
-      cerr << "** ERROR: Can't open '" << inputFileList << "' for input" << endl;
+      cerr << left  << setw(30) <<"**   ERROR: Can't open     "<<""
+           << left  << setw(20) << inputFileList                        <<""
+           << right << setw(19) <<"for input **"<<""<<endl;
       exit(1);
   }
@@ -95,5 +97,10 @@
       if(!infile.good()) break;
         ifstream checking_the_file(filename.c_str());
-        if(!checking_the_file.good()) { cout << filename << ": file not found\n"; continue;}
+        if(!checking_the_file.good()) 
+           {
+              cerr << left  << setw(30) <<"**   ERROR: Can't find file  "<<""
+                  << left  << setw(20) << filename                       <<""
+                  << right << setw(19) <<"for input **"<<""<<endl;
+              continue;
         else checking_the_file.close();
 
@@ -101,7 +108,5 @@
       LHEF::Reader *inputReader = new LHEF::Reader(filename);
       
-      cout << "** Calculating number of events to process. Please wait..." << endl;
       Long64_t allEntries = inputReader->getNumberOfEvents();
-      cout << "** Input file contains " << allEntries << " events" << endl;
       
       if(allEntries > 0) {
@@ -119,5 +124,4 @@
   treeWriter->Write();
   
-  cout << "** Exiting..." << endl;
   
   delete treeWriter;
Index: trunk/src/STDHEPConverter.cc
===================================================================
--- trunk/src/STDHEPConverter.cc	(revision 244)
+++ trunk/src/STDHEPConverter.cc	(revision 245)
@@ -101,5 +101,8 @@
   if(!infile.is_open())
     {
-      cerr << "** ERROR: Can't open '" << inputFileList << "' for input" << endl;
+      cerr << left  << setw(30) <<"**   ERROR: Can't open  "<<""
+                    << left  << setw(20) << inputFileList                    <<""
+                    << right << setw(19) <<"for input **"<<""<<endl;
+
       exit(1);
     }
@@ -109,5 +112,11 @@
       if(!infile.good()) break;
         ifstream checking_the_file(filename.c_str());
-        if(!checking_the_file.good()) { cout << filename << ": file not found\n"; continue;}
+        if(!checking_the_file.good()) 
+           { 
+             cerr << left  << setw(30) <<"**   ERROR: Can't find file  "<<""
+                  << left  << setw(20) << filename                      <<""
+                  << right << setw(19) <<"for input **"<<""<<endl;
+             continue;
+           }
         else checking_the_file.close();
       
@@ -116,10 +125,9 @@
       if(ierr != 0)
 	{
-	  cerr << "** ERROR: Can't open file for input" << endl;
+          cerr <<"**                ERROR: Can't open file for input                 **"<<endl;
 	  break;
 	}
       
       Long64_t allEntries = nevt;
-      cout << "** Input file contains " << allEntries << " entries" << endl;
       
       if(allEntries > 0)
@@ -134,5 +142,7 @@
 	      if(ierr != 0)
 		{
-		  cerr << "** ERROR: Unexpected end of file after " << entry << " entries" << endl;
+                  cerr << left  << setw(49) <<"**   ERROR: Unexpected end of file after"<<""
+                       << left  << setw(10) << entry                                    <<""
+                       << right << setw(10) <<"entries **"<<""<<endl;
 		  break;
 		}
@@ -162,10 +172,9 @@
 	    }
 	}
+      StdHepXdrEnd(istr);
     }
   treeWriter->Write();
-  cout << "** Exiting..." << endl;
   
   delete treeWriter;
-  StdHepXdrEnd(istr);
 
 }