Index: trunk/data/DataCardDet_ATLAS.dat
===================================================================
--- trunk/data/DataCardDet_ATLAS.dat	(revision 255)
+++ trunk/data/DataCardDet_ATLAS.dat	(revision 255)
@@ -0,0 +1,95 @@
+DETECTOR CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# Detector extension, in pseudorapidity units
+CEN_max_tracker    2.5                // Maximum tracker coverage          
+CEN_max_calo_cen   3.2                // central calorimeter coverage
+CEN_max_calo_fwd   4.9                // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.7                // muon chambers pseudorapidity coverage
+  
+# Energy resolution for electron/photon
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+ELG_Scen          0.10                // S term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Ncen          0.0                 // N term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Ccen          0.0017              // C term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Sfwd          0.30407             // S term for forward FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Nfwd          1.1533              // N term for central FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Cfwd          0.0313              // C term for forward FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+
+# Energy resolution for hadrons in ecal/hcal/hf
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+HAD_Shcal         0.58               // S term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Nhcal         1.7                // N term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Chcal         0.025              // C term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Shf           0.9681             // S term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Nhf           0.                 // N term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Chf           0.0524             // C term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+
+# Muon smearing
+MU_SmearPt        0.01		    // transverse momentum Pt in GeV
+
+# Tracking efficiencies
+TRACK_ptmin       0.9               // minimal pt needed to reach the calorimeter in GeV
+TRACK_eff         100               // efficiency associated to the tracking (%)
+
+# Calorimetric towers
+TOWER_number         40
+TOWER_eta_edges 0. 0.087 0.174 0.261 0.348 0.435 0.522 0.609 0.696 0.783 0.870 0.957 1.044 1.131 1.218 1.305 1.392 1.479 1.566 1.653 1.740 1.830 1.930 2.043 2.172 2.322 2.500 2.650 2.868 2.950 3.125 3.300 3.475 3.650 3.825 4.000 4.175 4.350 4.525 4.700 5.000
+## list of the edges of each tower in eta for eta>0 assuming a symmetric detector in eta<0
+### the list starts with the lower edge of the most central tower
+### the list ends with the higher edged of the most forward tower
+### there should be NTOWER+1 values
+#TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
+### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
+### the list starts with the phi-size of the most central tower (eta=0)
+### the list ends with the phi-size of the most forward tower
+### there should be NTOWER values
+##
+#
+
+# Thresholds for reconstructed objetcs, Pt in GeV
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
+
+# General jet variable
+JET_coneradius   0.7            // generic jet radius ; not for tau's !!!
+JET_jetalgo      1              // 1 for Cone algorithm, 2 for MidPoint algorithm, 3 for SIScone algorithm, 4 for kt algorithm
+JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+
+# Tagging definition
+BTAG_b           40		// b-tag efficiency (%)
+BTAG_mistag_c    10		// mistagging (%)
+BTAG_mistag_l    1		// mistagging (%)
+
+# FLAGS
+FLAG_bfield      1                       // 1 to run the bfield propagation else 0
+FLAG_vfd         1                       // 1 to run the very forward detectors else 0
+FLAG_trigger     1                       // 1 to run the trigger selection else 0
+FLAG_frog        1                       // 1 to run the FROG event display
+
+# In case BField propagation allowed
+TRACK_radius      115                   // radius of the BField coverage, in cm #chapter 1 you gave me
+TRACK_length      351                   // length of the BField coverage, in cm #also
+TRACK_bfield_x    0                     // X composant of the BField, in T
+TRACK_bfield_y    0                     // Y composant of the BField, in T
+TRACK_bfield_z    2.0                   // Z composant of the BField, in T #also
+
+# Very forward detector extension, in pseudorapidity
+# if allowed (WARNING: not expected for ATLAS!)
+VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_max_calo_vfd  6.6
+VFD_min_zdc       8.3
+VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
+
+RP_220_s          220                   // distance of the RP to the IP, in meters
+RP_220_x          0.002                 // distance of the RP to the beam, in meters
+RP_420_s          420                   // distance of the RP to the IP, in meters
+RP_420_x          0.004                 // distance of the RP to the beam, in meters
+RP_beam1Card         data/LHCB1IR1.tfs
+RP_beam2Card         data/LHCB2IR1.tfs
+
+# In case FROG event display allowed
+NEvents_Frog      100
+
Index: trunk/data/DataCardDet_CMS.dat
===================================================================
--- trunk/data/DataCardDet_CMS.dat	(revision 255)
+++ trunk/data/DataCardDet_CMS.dat	(revision 255)
@@ -0,0 +1,95 @@
+DETECTOR CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# Detector extension, in pseudorapidity units
+CEN_max_tracker    2.5                // Maximum tracker coverage          
+CEN_max_calo_cen   3.0                // central calorimeter coverage
+CEN_max_calo_fwd   5.0                // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.4                // muon chambers pseudorapidity coverage
+  
+# Energy resolution for electron/photon
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+ELG_Scen          0.05              // S term for central ECAL
+ELG_Ncen          0.25              // N term for central ECAL
+ELG_Ccen          0.005             // C term for central ECAL
+ELG_Sfwd          2.084             // S term for FCAL
+ELG_Nfwd          0.0               // N term for FCAL
+ELG_Cfwd          0.107             // C term for FCAL
+
+# Energy resolution for hadrons in ecal/hcal/hf
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+HAD_Shcal         1.5               // S term for central HCAL 
+HAD_Nhcal         0.                // N term for central HCAL
+HAD_Chcal         0.05              // C term for central HCAL
+HAD_Shf           2.7               // S term for FCAL
+HAD_Nhf           0.                // N term for FCAL
+HAD_Chf           0.13              // C term for FCAL
+
+# Muon smearing
+MU_SmearPt        0.01		    // transverse momentum Pt in GeV
+
+# Tracking efficiencies
+TRACK_ptmin       0.9               // minimal pt needed to reach the calorimeter in GeV
+TRACK_eff         100               // efficiency associated to the tracking (%)
+
+# Calorimetric towers
+TOWER_number         40
+TOWER_eta_edges 0. 0.087 0.174 0.261 0.348 0.435 0.522 0.609 0.696 0.783 0.870 0.957 1.044 1.131 1.218 1.305 1.392 1.479 1.566 1.653 1.740 1.830 1.930 2.043 2.172 2.322 2.500 2.650 2.868 2.950 3.125 3.300 3.475 3.650 3.825 4.000 4.175 4.350 4.525 4.700 5.000
+## list of the edges of each tower in eta for eta>0 assuming a symmetric detector in eta<0
+### the list starts with the lower edge of the most central tower
+### the list ends with the higher edged of the most forward tower
+### there should be NTOWER+1 values
+TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
+### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
+### the list starts with the phi-size of the most central tower (eta=0)
+### the list ends with the phi-size of the most forward tower
+### there should be NTOWER values
+##
+#
+
+# Thresholds for reconstructed objetcs, Pt in GeV
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
+
+# General jet variable
+JET_coneradius   0.7            // generic jet radius ; not for tau's !!!
+JET_jetalgo      1              // 1 for Cone algorithm, 2 for MidPoint algorithm, 3 for SIScone algorithm, 4 for kt algorithm
+JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+
+# Tagging definition
+BTAG_b           40		// b-tag efficiency (%)
+BTAG_mistag_c    10		// mistagging (%)
+BTAG_mistag_l    1		// mistagging (%)
+
+# FLAGS
+FLAG_bfield      1                       //1 to run the bfield propagation else 0
+FLAG_vfd         1                       //1 to run the very forward detectors else 0
+FLAG_trigger     1                       //1 to run the trigger selection else 0
+FLAG_frog        1                       //1 to run the FROG event display
+
+# In case BField propagation allowed
+TRACK_radius      129                   //radius of the BField coverage, in cm
+TRACK_length      300                   //length of the BField coverage, in cm
+TRACK_bfield_x    0                     //X composant of the BField, in T
+TRACK_bfield_y    0                     //Y composant of the BField, in T
+TRACK_bfield_z    3.8                   //Z composant of the BField, in T
+
+# Very forward detector extension, in pseudorapidity
+# if allowed
+VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_max_calo_vfd  6.6
+VFD_min_zdc       8.3
+VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
+
+RP_220_s          220                   // distance of the RP to the IP, in meters
+RP_220_x          0.002                 // distance of the RP to the beam, in meters
+RP_420_s          420                   // distance of the RP to the IP, in meters
+RP_420_x          0.004                 // distance of the RP to the beam, in meters
+Beam1Card         data/LHCB1IR5_v6.500.tfs
+Beam2Card         data/LHCB2IR5_v6.500.tfs
+
+# In case FROG event display allowed
+NEvents_Frog      100
+