Index: /trunk/data/DataCardDet.dat
===================================================================
--- /trunk/data/DataCardDet.dat	(revision 256)
+++ /trunk/data/DataCardDet.dat	(revision 257)
@@ -11,17 +11,17 @@
 ELG_Scen          0.05              // S term for central ECAL
 ELG_Ncen          0.25              // N term for central ECAL
-ELG_Ccen          0.005              // C term for central ECAL
-ELG_Cfwd          0.107             // S term for forward ECAL
-ELG_Sfwd          2.084             // C term for forward ECAL
-ELG_Nfwd          0.0               // N term for central ECAL
+ELG_Ccen          0.005             // C term for central ECAL
+ELG_Sfwd          2.084             // S term for FCAL
+ELG_Nfwd          0.0               // N term for FCAL
+ELG_Cfwd          0.107             // C term for FCAL
 
 # Energy resolution for hadrons in ecal/hcal/hf
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-HAD_Shcal         1.5               // S term for central HCAL // hadronic calorimeter
+HAD_Shcal         1.5               // S term for central HCAL 
 HAD_Nhcal         0.                // N term for central HCAL
 HAD_Chcal         0.05              // C term for central HCAL
-HAD_Shf           2.7               // S term for HF // forward calorimeter
-HAD_Nhf           0.                // N term for HF
-HAD_Chf           0.13              // C term for HF
+HAD_Shf           2.7               // S term for FCAL
+HAD_Nhf           0.                // N term for FCAL
+HAD_Chf           0.13              // C term for FCAL
 
 # Muon smearing
@@ -39,5 +39,5 @@
 ### the list ends with the higher edged of the most forward tower
 ### there should be NTOWER+1 values
-#TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
+TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
 ### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
 ### the list starts with the phi-size of the most central tower (eta=0)
@@ -88,6 +88,8 @@
 RP_420_s          420                   // distance of the RP to the IP, in meters
 RP_420_x          0.004                 // distance of the RP to the beam, in meters
-Beam1Card         data/LHCB1IR5_v6.500.tfs
-Beam2Card         data/LHCB2IR5_v6.500.tfs
+RP_beam1Card      "data/LHCB1IR5_v6.500.tfs"
+RP_beam2Card      "data/LHCB2IR5_v6.500.tfs"
+RP_IP_name        "IP5"
+
 
 # In case FROG event display allowed
Index: /trunk/data/DataCardDet_ATLAS.dat
===================================================================
--- /trunk/data/DataCardDet_ATLAS.dat	(revision 256)
+++ /trunk/data/DataCardDet_ATLAS.dat	(revision 257)
@@ -61,5 +61,5 @@
 
 # Tagging definition
-BTAG_b           40		// b-tag efficiency (%)
+BTAG_b           50		// b-tag efficiency (%)
 BTAG_mistag_c    10		// mistagging (%)
 BTAG_mistag_l    1		// mistagging (%)
@@ -89,6 +89,7 @@
 RP_420_s          420                   // distance of the RP to the IP, in meters
 RP_420_x          0.004                 // distance of the RP to the beam, in meters
-RP_beam1Card         data/LHCB1IR1.tfs
-RP_beam2Card         data/LHCB2IR1.tfs
+RP_beam1Card      "data/LHCB1IR1.tfs"
+RP_beam2Card      "data/LHCB2IR1.tfs"
+RP_IP_name        "IP1"
 
 # In case FROG event display allowed
Index: /trunk/data/DataCardDet_CMS.dat
===================================================================
--- /trunk/data/DataCardDet_CMS.dat	(revision 256)
+++ /trunk/data/DataCardDet_CMS.dat	(revision 257)
@@ -88,6 +88,8 @@
 RP_420_s          420                   // distance of the RP to the IP, in meters
 RP_420_x          0.004                 // distance of the RP to the beam, in meters
-Beam1Card         data/LHCB1IR5_v6.500.tfs
-Beam2Card         data/LHCB2IR5_v6.500.tfs
+RP_beam1Card      "data/LHCB1IR5_v6.500.tfs"
+RP_beam2Card      "data/LHCB2IR5_v6.500.tfs"
+RP_IP_name        "IP5"
+
 
 # In case FROG event display allowed
Index: /trunk/interface/SmearUtil.h
===================================================================
--- /trunk/interface/SmearUtil.h	(revision 256)
+++ /trunk/interface/SmearUtil.h	(revision 257)
@@ -78,4 +78,5 @@
   string RP_beam1Card; // 
   string RP_beam2Card; // 
+  string RP_IP_name; // 
   float  RP_offsetEl_s;
   float  RP_offsetEl_x;
Index: /trunk/src/SmearUtil.cc
===================================================================
--- /trunk/src/SmearUtil.cc	(revision 256)
+++ /trunk/src/SmearUtil.cc	(revision 257)
@@ -51,16 +51,16 @@
   ELG_Ncen          = 0.25;              // N term for central ECAL
   ELG_Ccen          = 0.005;             // C term for central ECAL
-  ELG_Cfwd          = 0.107;             // S term for forward ECAL
-  ELG_Sfwd          = 2.084;             // C term for forward ECAL
-  ELG_Nfwd          = 0.0;               // N term for central ECAL
+  ELG_Sfwd          = 2.084;             // S term for FCAL
+  ELG_Nfwd          = 0.0;               // N term for FCAL
+  ELG_Cfwd          = 0.107;             // C term for FCAL
 
   // Energy resolution for hadrons in ecal/hcal/hf
   // \sigma/E = C + N/E + S/\sqrt{E}
-  HAD_Shcal         = 1.5;               // S term for central HCAL // hadronic calorimeter
+  HAD_Shcal         = 1.5;               // S term for central HCAL 
   HAD_Nhcal         = 0.;                // N term for central HCAL
   HAD_Chcal         = 0.05;              // C term for central HCAL
-  HAD_Shf           = 2.7;               // S term for HF // forward calorimeter
-  HAD_Nhf           = 0.;                // N term for HF
-  HAD_Chf           = 0.13;              // C term for HF
+  HAD_Shf           = 2.7;               // S term for FCAL
+  HAD_Nhf           = 0.;                // N term for FCAL
+  HAD_Chf           = 0.13;              // C term for FCAL
 
   // Muon smearing
@@ -127,4 +127,5 @@
   RP_420_s          = 420;                   // distance of the RP to the IP, in meters
   RP_420_x          = 0.004;                 // distance of the RP to the beam, in meters
+  RP_IP_name        = "IP5"; 
   RP_beam1Card      = "data/LHCB1IR5_v6.500.tfs";
   RP_beam2Card      = "data/LHCB1IR5_v6.500.tfs";
@@ -255,4 +256,5 @@
   RP_cross_y        = DET.RP_cross_y;
   RP_cross_ang      = DET.RP_cross_ang;
+  RP_IP_name        = DET.RP_IP_name;
 
 
@@ -368,5 +370,5 @@
   RP_cross_y        = DET.RP_cross_y;
   RP_cross_ang      = DET.RP_cross_ang;
-
+  RP_IP_name        = DET.RP_IP_name;
 
 
@@ -433,6 +435,7 @@
     else if(strstr(temp_string.c_str(),"RP_420_s"))         {curstring >> varname >> value; RP_420_s          = value;}
     else if(strstr(temp_string.c_str(),"RP_420_x"))         {curstring >> varname >> value; RP_420_x          = value;}
-    else if(strstr(temp_string.c_str(),"Beam1Card"))        {curstring >> varname >> svalue;RP_beam1Card         = svalue;}
-    else if(strstr(temp_string.c_str(),"Beam2Card"))        {curstring >> varname >> svalue;RP_beam2Card         = svalue;}
+    else if(strstr(temp_string.c_str(),"RP_beam1Card"))     {curstring >> varname >> svalue;RP_beam1Card      = svalue;}
+    else if(strstr(temp_string.c_str(),"RP_beam2Card"))     {curstring >> varname >> svalue;RP_beam2Card      = svalue;}
+    else if(strstr(temp_string.c_str(),"RP_IP_name"))       {curstring >> varname >> svalue;RP_IP_name        = svalue;}
     
     else if(strstr(temp_string.c_str(),"ELG_Scen"))         {curstring >> varname >> value; ELG_Scen          = value;}
@@ -575,4 +578,6 @@
     f_out << left << setw(55) <<"* Distance of the RP to the beam, in meters: "<<""
 	  << left << setw(5) <<RP_420_x             <<""<< right << setw(10)<<"*"<<"\n";
+    f_out << left << setw(55) <<"* Interaction point at the LHC named: "<<""
+          << left << setw(5) <<RP_IP_name             <<""<< right << setw(10)<<"*"<<"\n";
     f_out << left << setw(35) <<"* Datacard for beam 1: "<<""
           << left << setw(25) <<RP_beam1Card            <<""<< right << setw(10)<<"*"<<"\n";
@@ -609,9 +614,9 @@
   f_out << left << setw(30) <<"* C term for central ECAL: "<<""
 	<< left << setw(30) <<ELG_Ccen       <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* S term for forward ECAL: "<<""
+  f_out << left << setw(30) <<"* S term for FCAL: "<<""
 	<< left << setw(30) <<ELG_Sfwd       <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* N term for forward ECAL: "<<""
+  f_out << left << setw(30) <<"* N term for FCAL: "<<""
 	<< left << setw(30) <<ELG_Nfwd       <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* C term for forward ECAL: "<<""
+  f_out << left << setw(30) <<"* C term for FCAL: "<<""
 	<< left << setw(30) <<ELG_Cfwd       <<""<< right << setw(10)<<"*"<<"\n";
   f_out<<"*                                                                    *"<<"\n";
@@ -626,9 +631,9 @@
   f_out << left << setw(30) <<"* C term for central HCAL: "<<""
 	<< left << setw(30) <<HAD_Chcal       <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* S term for forward HCAL: "<<""
+  f_out << left << setw(30) <<"* S term for FCAL: "<<""
 	<< left << setw(30) <<HAD_Shf         <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* N term for forward HCAL: "<<""
+  f_out << left << setw(30) <<"* N term for FCAL: "<<""
 	<< left << setw(30) <<HAD_Nhf         <<""<< right << setw(10)<<"*"<<"\n";
-  f_out << left << setw(30) <<"* C term for forward HCAL: "<<""
+  f_out << left << setw(30) <<"* C term for FCAL: "<<""
 	<< left << setw(30) <<HAD_Chf         <<""<< right << setw(10)<<"*"<<"\n";
   f_out<<"*                                                                    *"<<"\n";
Index: /trunk/src/VeryForward.cc
===================================================================
--- /trunk/src/VeryForward.cc	(revision 256)
+++ /trunk/src/VeryForward.cc	(revision 257)
@@ -75,5 +75,5 @@
   // user should provide : (1) optics file for each beamline, and IPname,
   // and offset data (s,x) for optical elements
-  beamline1->fill(DET->RP_beam1Card,1,"IP5");                                
+  beamline1->fill(DET->RP_beam1Card,1,DET->RP_IP_name);                                
   beamline1->offsetElements(DET->RP_offsetEl_s,-DET->RP_offsetEl_x);
   H_RomanPot * rp220_1 = new H_RomanPot("rp220_1",DET->RP_220_s,DET->RP_220_x*(1E6)); // RP 220m, 2mm, beam 1  
@@ -82,5 +82,5 @@
   beamline1->add(rp420_1);
   
-  beamline2->fill(DET->RP_beam2Card,-1,"IP5");                              
+  beamline2->fill(DET->RP_beam2Card,-1,DET->RP_IP_name);                              
   beamline2->offsetElements(DET->RP_offsetEl_s,+DET->RP_offsetEl_x);
   H_RomanPot * rp220_2 = new H_RomanPot("rp220_2",DET->RP_220_s,DET->RP_220_x*(1E6));// RP 220m, 2mm, beam 2     